=== debian/changelog ===
ros-melodic-clover (0.21.2-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Oleg Kalachev <okalachev@gmail.com>  Thu, 20 May 2021 10:49:15 -0000

ros-melodic-clover (0.21.1-1bionic) bionic; urgency=high

  * First release of clover package to ROS
  * Contributors: Alexey Rogachevskiy, Arthur Golubtsov, Oleg Kalachev

 -- Oleg Kalachev <okalachev@gmail.com>  Tue, 17 Nov 2020 08:00:00 -0000
